summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Tim Dickson (timsoft)2012-06-03 01:48:17 +0200
committer Erik Hanson2012-06-03 22:21:13 +0200
commit7ed1edab623163ef6b5ef0f6b85c8fff7c4d61fb (patch)
treec513a0a44771a2dc9fba2ca295e92fd2f69e3f39 /games
parent51a4f7a567abc5093dded89c0a267b267755bc0f (diff)
downloadslackbuilds-7ed1edab623163ef6b5ef0f6b85c8fff7c4d61fb.tar.gz
games/starfighter: Updated for version 1.2.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/starfighter/doinst.sh6
-rw-r--r--games/starfighter/icons/starfighter-48px.pngbin0 -> 3077 bytes
-rw-r--r--games/starfighter/slack-desc4
-rw-r--r--games/starfighter/starfighter.SlackBuild22
-rw-r--r--games/starfighter/starfighter.desktop5
-rw-r--r--games/starfighter/starfighter.info10
6 files changed, 25 insertions, 22 deletions
diff --git a/games/starfighter/doinst.sh b/games/starfighter/doinst.sh
index 1f8ff67ded..7cdd9700e7 100644
--- a/games/starfighter/doinst.sh
+++ b/games/starfighter/doinst.sh
@@ -2,9 +2,11 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+if [ -e /usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-
+if [ -x /usr/bin/kbuildsycoca4 ]; then
+ /usr/bin/kbuildsycoca4 >/dev/null 2>&1
+fi
diff --git a/games/starfighter/icons/starfighter-48px.png b/games/starfighter/icons/starfighter-48px.png
new file mode 100644
index 0000000000..6895a85741
--- /dev/null
+++ b/games/starfighter/icons/starfighter-48px.png
Binary files differ
diff --git a/games/starfighter/slack-desc b/games/starfighter/slack-desc
index 6d93f31dba..876add5d8f 100644
--- a/games/starfighter/slack-desc
+++ b/games/starfighter/slack-desc
@@ -15,5 +15,5 @@ starfighter: universe and currently rules it with an iron fist. Chris can no
starfighter: longer stand back and watch as millions of people suffer and die. He
starfighter: steals an experimental craft known as "Firefly" and begins his
starfighter: mission to fight his way to Sol, freeing key systems along the way.
-starfighter: The game opens with Chris attempting to escape a Weapco patrol that
-starfighter: has intercepted him. software by www.parallelrealities.co.uk
+starfighter: The game opens with Chris attempting to escape a Weapco patrol.
+starfighter: http://sourceforge.net/projects/pr-starfighter/?source=directory
diff --git a/games/starfighter/starfighter.SlackBuild b/games/starfighter/starfighter.SlackBuild
index b297cb58c5..6a13e087f5 100644
--- a/games/starfighter/starfighter.SlackBuild
+++ b/games/starfighter/starfighter.SlackBuild
@@ -1,19 +1,17 @@
#!/bin/sh
# Slackware build script for starfighter
-# Written by Tim Dickson tim@tree-of-life.co.uk
+# Written by Tim Dickson tim at tree-of-life.co.uk
PRGNAM=starfighter
-VERSION=${VERSION:-1.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -37,13 +35,13 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION-1.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -53,14 +51,14 @@ find . \
-exec chmod 644 {} \;
# The makefile doesn't support DESTDIR, but that's okay :)
-mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/games $PKG/usr/doc/$PRGNAM-$VERSION
make \
CFLAGS="$SLKCFLAGS $(sdl-config --cflags) -Wall -DLINUX" \
- BINDIR=/usr/bin/ \
+ BINDIR=/usr/games/ \
DOCDIR=/usr/doc/$PRGNAM-$VERSION/ \
DATADIR=/usr/share/games/parallelrealities/
make install \
- BINDIR=$PKG/usr/bin/ \
+ BINDIR=$PKG/usr/games/ \
DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION/ \
DATADIR=$PKG/usr/share/games/parallelrealities/
@@ -70,11 +68,13 @@ chown -R root:root $PKG
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,64x64}/apps
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
cat $CWD/icons/$PRGNAM-16px.png > \
$PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
cat $CWD/icons/$PRGNAM-32px.png > \
$PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-48px.png > \
+ $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
cat $CWD/icons/$PRGNAM-64px.png > \
$PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
diff --git a/games/starfighter/starfighter.desktop b/games/starfighter/starfighter.desktop
index 27450d665c..1867992a05 100644
--- a/games/starfighter/starfighter.desktop
+++ b/games/starfighter/starfighter.desktop
@@ -1,7 +1,8 @@
[Desktop Entry]
-Categories=Game;
+Categories=Game;ArcadeGame;
+Version=1.0
Name=Starfighter
Icon=starfighter
-Exec=starfighter
+Exec=/usr/games/starfighter
Terminal=false
Type=Application
diff --git a/games/starfighter/starfighter.info b/games/starfighter/starfighter.info
index 3d9c8ffc55..266ffdd8b6 100644
--- a/games/starfighter/starfighter.info
+++ b/games/starfighter/starfighter.info
@@ -1,10 +1,10 @@
PRGNAM="starfighter"
-VERSION="1.1"
-HOMEPAGE="http://www.parallelrealities.co.uk/projects/starfighter.php"
-DOWNLOAD="http://www.parallelrealities.co.uk/download/starfighter/starfighter-1.1-1.tar.gz"
-MD5SUM="6a4b704dbc83c7403842b936f95ee958"
+VERSION="1.2"
+HOMEPAGE="http://sourceforge.net/projects/pr-starfighter/"
+DOWNLOAD="http://downloads.sourceforge.net/project/pr-starfighter/starfighter-1.2.tar.gz"
+MD5SUM="6d2301539945a04b3109869fe11f362f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Tim Dickson (timsoft)"
EMAIL="tim@tree-of-life.co.uk"
-APPROVED="Erik Hanson"
+APPROVED="dsomero"